require 'bundler/setup'

require 'airbrake'
require 'net/http'
require 'faraday'
require 'rack/test'
require 'rack-heartbeat'
require 'webmock/rspec'
require 'rails'
require 'correlation_id'

Dir['./spec/support/**/*'].sort.each(&method(:require))

Rack::Heartbeat.heartbeat_path = ''

RSpec.configure do |config|
  # Enable flags like --only-failures and --next-failure
  config.example_status_persistence_file_path = '.rspec_status'

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end

  config.include Rack::Test::Methods

  config.include SpecHelpers
end
